## fishpoll 0.1.6

=== debian/changelog ===
fishpoll (0.1.6-4) unstable; urgency=low

  * Add the missing fishpoke/fishpolld manpages.
  * Remove fishpolld.init's DESC field.

 -- Andrea Veri <and@debian.org>  Thu, 31 May 2012 12:12:19 +0200

fishpoll (0.1.6-3) unstable; urgency=low

  * Moved etc/fishpoll.d under fishpolld
  * Bump Standards-Version to 3.9.3
  * Added DM-Upload-Allowed flag

 -- Fabrizio Regalli <fabreg@fabreg.it>  Mon, 27 Feb 2012 09:51:32 +0100

fishpoll (0.1.6-2) unstable; urgency=low

  * debian/control:
    - Arch set to all, we don't have any arch-dependent
      files to build.

 -- Andrea Veri <and@debian.org>  Fri, 17 Feb 2012 14:29:08 +0100

fishpoll (0.1.6-1) unstable; urgency=low

  * Initial release. (Closes: #659159)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Thu, 09 Feb 2012 17:05:40 +0100

## fishpoll 0.1.7

=== Makefile ===
install:
	for d in /usr/bin /usr/sbin /etc/init.d/ /etc/fishpoll.d ; do \
	  test -d $(DESTDIR)$$d || mkdir -m 0755 -p $(DESTDIR)$$d ; \
	done

	install -m 0755 fishpoke $(DESTDIR)/usr/bin/fishpoke
	install -m 0755 fishpolld $(DESTDIR)/usr/sbin/fishpolld
	install -m 0755 fishpoll.init $(DESTDIR)/etc/init.d/fishpoll

=== debian/changelog ===
fishpoll (0.1.7-1) unstable; urgency=low

  * New upstream release.

 -- Andrea Veri <and@debian.org>  Wed, 24 Apr 2013 14:53:27 +0200

=== debian/control ===
Source: fishpoll
Section: net
Priority: optional
Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
Uploaders: Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 8), python (>= 2.4)
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://git.fishsoup.net/cgit/fishpoll/
Vcs-Git: git://git.debian.org/collab-maint/fishpoll.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fishpoll.git

Package: fishpoke
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.4)
Description: client for the Fishpoll server
 The fishpoke program is used to trigger a poll
 immediately instead of waiting for the configured
 polling interval.


Package: fishpolld
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.4)
Description: daemon that allows remote script's execution when triggered from the network
 Fishpoll is meant to deal with a common situation. You have a data source
 (a version control repository, a database, etc). You have something built from
 that data source (a web site, say). When the data source changes, you want
 them to rebuild against the latest commits.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = $(firstword $(shell dh_listpackages))
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ --with python2

override_dh_auto_build:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr DESTDIR=$(CURDIR)/debian/tmp
